oRTP: _OrtpNetworkSimulatorParams Struct Reference

oRTP 5.1.0

Data Fields
_OrtpNetworkSimulatorParams Struct Reference

`#include <rtpsession.h>`

## Data Fields
int | enabled
float | max_bandwidth
int | max_buffer_size
float | loss_rate
uint32_t | latency
float | consecutive_loss_probability
float | jitter_burst_density
float | jitter_strength
bool_t | rtp_only
bool_t | pad [3]
OrtpNetworkSimulatorMode | mode

## Detailed Description

Structure describing the network simulator parameters

## Field Documentation

## ◆ consecutive_loss_probability

float _OrtpNetworkSimulatorParams::consecutive_loss_probability

a probability of having a subsequent loss after a loss occurred, in a 0-1 range. Useful to simulate burst of lost packets

## ◆ enabled

int _OrtpNetworkSimulatorParams::enabled

Whether simulation is enabled or off.

## ◆ jitter_burst_density

float _OrtpNetworkSimulatorParams::jitter_burst_density

density of gap/bursts events. A value of 1 means one gap/burst per second approximately

## ◆ jitter_strength

float _OrtpNetworkSimulatorParams::jitter_strength

percentage of max_bandwidth artificially consumed during bursts events

## ◆ latency

uint32_t _OrtpNetworkSimulatorParams::latency

Packet transmission delay, in ms

## ◆ loss_rate

float _OrtpNetworkSimulatorParams::loss_rate

Percentage of lost packets

## ◆ max_bandwidth

float _OrtpNetworkSimulatorParams::max_bandwidth

IP bandwidth, in bit/s. This limitation is applied after loss are simulated, so incoming bandwidth is NOT socket bandwidth, but after-loss-simulation bandwidth e.g with 50% loss, the bandwidth will be 50% reduced

## ◆ max_buffer_size

int _OrtpNetworkSimulatorParams::max_buffer_size

Max number of bit buffered before being discarded

## ◆ mode

OrtpNetworkSimulatorMode _OrtpNetworkSimulatorParams::mode

whether simulation is applied to inbound or outbound stream.

## ◆ pad

bool_t _OrtpNetworkSimulatorParams::pad[3]

True for only RTP packet loss, False for both RTP and RTCP

The documentation for this struct was generated from the following file:

- rtpsession.h